package org.bdware.sc.entity;

import org.bdware.doip.codec.doipMessage.DoipMessage;

public class DoipMessagePacker {
    // the DoipMessagePacker is raised by http/doip
    public String source;
    // the well-composed DoipMessage
    public DoipMessage rawDoipMsg;

    public DoipMessagePacker() {}

    public DoipMessagePacker(String source, DoipMessage rawMsg) {
        this.source = source;
        this.rawDoipMsg = rawMsg;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }
}
